from django.conf.urls import patterns, url
from .views import *
from .models import ReferenceGas

urlpatterns = patterns('',
                       url(regex=r'^$',
                           view=ReferenceGasesListView.as_view(),
                           name=ReferenceGas.overview_url),

                       url(regex=r'^(?P<pk>\d+)/$',
                           view=ReferenceGasDetailView.as_view(),
                           name=ReferenceGas.detail_url),

                       url(regex=r'^create/$',
                           view=ReferenceGasCreateView.as_view(),
                           name=ReferenceGas.create_url),

                       url(regex=r'^update/(?P<pk>\d+)/$',
                           view=ReferenceGasUpdateView.as_view(),
                           name=ReferenceGas.update_url),
)